{
    "editor.codeActionsOnSave": {
        "source.fixAll.eslint": "always"
    },
    "eslint.useFlatConfig": true,
    "eslint.format.enable": true,
    "eslint.run": "onSave",
    "[typescript]": {
        "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "[json]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    },
    "[typescriptreact]": {
        "editor.defaultFormatter": "esbenp.prettier-vscode"
    },
    "[jsonc]": {
        "editor.defaultFormatter": "vscode.json-language-features"
    }
}